# failed

open fun failed(endTime: Instant)

Emit a failure event for the test. May not be called before started.

#### Since

8.12

#### Parameters

endTime

the time the test completed

open fun failed(endTime: Instant, message: String)

Emit a failure event for the test. May not be called before started.

#### Since

8.12

#### Parameters

endTime

the time the test completed

message

the failure message

abstract fun failed(endTime: Instant, message: String, additionalContent: String)

Emit a failure event for the test. May not be called before started.

#### Since

8.12

#### Parameters

endTime

the time the test completed

message

the failure message

additionalContent

additional content for the failure, like a stacktrace